_**Attention, the updated documentation is available on GitHub**_

The RGBW LED controller is another of the nodes that I have designed for the SmartHome project, this time it is a board that allows to control up to 4 LED channels, designed mainly for RGBW LED strips (red, green, blue, and white) ) although it can be used for any other type of LED strips such as RGB, CW/WW, or a single color.

Theoretically, the board supports both 12 and 24V, although I have not tested 24V and it may not be a good idea to do it unless a transformer of very good quality is used that of 24V exact since it is the limit voltage of the voltage regulator used by the PCB to get the 5V / 3.3V you need to operate, I did not find a voltage regulator that would accept a little more voltage and that I would get into the box ... maybe for a second revision of the board and using a larger plastic box You can make that improvement.

The board has components similar to the rest of the nodes:

- ATmega 328P microcontroller at 8Mhz and 3.3V.
- Wireless antenna NRF24L01 to 2.4Ghz.
- Flash chip for wireless programming W25X40CLSNIG.
- Signed chip for ATSHA204A data transmissions.
- JST 1.0mm 8P programming connector with AVRISP + UART.

More specific ones:

- Mosfets FDD8447L to control the 4 channels.
- Drivers for mosfets UCC27324.
- Temperature sensor DS18B20.

The example code published in the repository, together with the rest of the documents such as scheme, circuit, gerbers, documentation, etc. it is programmed in such a way that the LED strip can be controlled as RGBW, RGB, W, and On/Off.

The first version of the board is fully functional, although that does not mean that it can not be improved, for now I leave it as "finalized", in any case if someone is going to manufacture it on their own, check the changelog.txt file to have Consider possible problems or pending improvements.